using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 人员培训记录试题单
    /// </summary>
    [Description("人员培训记录试题单")]
    public class T_WB_OUTSOURCE_TRAIN_RECORD_PAPER_ORDER : MesEntityBase
    {
        /// <summary>
        /// 培训记录
        /// </summary>
        [Description("培训记录")]
        [DataFieldForeignKey("Nav_Record", "Nav_ListPaperOrder")]
        public Guid RECORD_ID { get; set; }

        /// <summary>
        ///  培训记录
        /// </summary>
        [Description(" 培训记录")]
        public T_WB_OUTSOURCE_TRAIN_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航: 人员
        /// </summary>
        [Description("导航: 人员")]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 考试得分
        /// </summary>
        [Description("考试得分")]
        public int? SCORE { get; set; }

        /// <summary>
        ///  试题
        /// </summary>
        [Description("试题")]
        public ICollection<T_WB_OUTSOURCE_TRAIN_RECORD_PAPER> Nav_ListUserPaper { get; set; }

    }
}
